/*
 Copyright (c) 2007 Kathryn Huxtable

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

 $Id: SampleValidatorTest.java 495 2007-03-31 14:55:20Z huxtable $
 */
package org.kathrynhuxtable.middleware.shibshim.util.properties;

import junit.framework.TestCase;

/**
 * Test the PropertiesBundle class.
 */
public class PropertiesBundleTest extends TestCase {

    public void tearDown() {
        PropertiesBundle.clearForTesting();
    }

    public void testInvalid() {
        // First try with an invalid file.
        try {
            PropertiesBundle.init("/invalid.properties");
            fail("Failed to throw PropertiesBundleException for invalid file");
        } catch (PropertiesBundleException e) {
            assertTrue(true);
        }
    }
    
    public void testUnreadable() {
        // Next try with an unreadable file.
        if (false) {
            try {
                PropertiesBundle.init("/unreadable.properties");
                fail("Failed to throw PropertiesBundleException for unreadable file");
            } catch (PropertiesBundleException e) {
                assertTrue(true);
            }
        }
    }

    public void testSample() {
        try {
            PropertiesBundle.init("/test.properties");
        } catch (PropertiesBundleException e) {
            fail("Got PropertiesBundleException reading good properties file");
        }
        assertTrue(true);
    }
}
